using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
	public interface ISysRoleRepository : IRepository<SysRole>
	{
		IQueryable<SysRole> LoadAllByPage(out long total, int page, int rows, string order, string sort);

		SysRole Get(string name);
	}
}
